#!/usr/bin/lua
-- background.lua  :  timer and idle time tests

require "luaglade"

idlecounter = 0

-- At idle time, we burn up CPU by counting.
function idlefunc()
	idlecounter = idlecounter + 1
	return true              -- to run again at the next idle time
end

function on_start_idle()
	i1 = G.add_idle(idlefunc)
end

function on_stop_idle()
	G.remove_idle(i1)
end


-- When timer1 expires, we print out the idlecounter.
function timer1()
	io.write("Timer 1 finds idlecounter=",idlecounter,"\n")
	return true
end

-- timer2 takes a look at the system time
function timer2(userdata)
	io.write("Timer 2 finds time is ", os.date("%X"),"\n")
	return true
end

-- One callback serves two buttons, using the userdata to determine which
function on_start_timer(button, number)
	if number == "1" then
		t1 = G.add_timeout(1000, timer1)
	else
		t2 = G.add_timeout(5000, timer2)
	end
end

function on_stop_timer(button, number)
	if number == "1" then
		t1 = G.remove_timeout(t1)
	else
		t2 = G.remove_timeout(t2)
	end
end


function on_window_delete()
	G.gtk_main_quit()
end

-- Start the game
ui = G.make_gui("background.glade")
G.gtk_main()
