#!/usr/bin/lua
-- button.lua  :  button, dialog and destroy test

require "luaglade"

-- Make the trick buttons vanish when clicked
function on_button_clicked(button)
	button.destroy()
end

-- Show the about dialog when asked
function on_about_clicked()
	--ui.aboutdialog1.set_name("Button test") -- how to do this in glade?
	ui.aboutdialog1.show()
end

-- Show the question dialog when asked...
function on_question_clicked()
	ui.dialog1.show()
end

-- ... and handle the answer...
function on_answer(button, response)
	print("answer was", response)
	ui.dialog1.hide()  -- hide the question dialog
	ui.dialog2.show()  -- show a feedback dialog
end

-- ... then handle the acknowledgement
function on_acknowledge()  ui.dialog2.hide()  end

-- When the window manager tries to delete a dialog, we just hide it,
-- so it can be shown again...
function on_dialog_delete(d)  d.hide()  end 

-- ... but deleting the main window kills our main loop
function on_window_delete()
	G.gtk_main_quit()
end


-- Make the gui according to the glade file, and run it.
ui = G.make_gui("button.glade")

G.gtk_main()
