#!/usr/bin/lua
-- inotify.lua:  Test of inotify and textview

require "luaglade"

function on_notify(name, mask, watch, cookie, udata)
	local desc = "Other"
	if G.isset(G.IN_CREATE, mask) then desc = "Create" end
	if G.isset(G.IN_MODIFY, mask) then desc = "Modify" end
	if G.isset(G.IN_DELETE, mask) then desc = "Delete" end
	if G.isset(G.IN_OPEN, mask) then desc = "Open" end
	if G.isset(G.IN_CLOSE, mask) then desc = "Close" end
	ui.text.add(string.format("%s at path=%s name=%s\n", desc, udata, name))
	return 1
end

function on_addbut_clicked()
	local mask = 0
	if ui.createchk.get_active() then mask = mask + G.IN_CREATE end
	if ui.modifychk.get_active() then mask = mask + G.IN_MODIFY end
	if ui.deletechk.get_active() then mask = mask + G.IN_DELETE end
	if ui.openchk.get_active()   then mask = mask + G.IN_OPEN end
	if ui.closechk.get_active()  then mask = mask + G.IN_CLOSE end
	if mask == 0 then
		ui.text.add("Must check an option to add a watch\n", -1)
	else
		local path = ui.entry1.get_text()
		wd = G.add_watch(path, mask, on_notify, path)
		ui.text.add("Added watch on "..path.."\n", -1)
	end
end 

function on_quit()
	G.gtk_main_quit()
end

-- Start the game
ui = G.make_gui("inotify.glade")
ui.entry1.set_text(".")
G.gtk_main()
